com.tibbo.aggregate.common.plugin.auth

## Enum AuthenticationParams

- java.lang.Object
- - java.lang.Enum<AuthenticationParams>
  - - com.tibbo.aggregate.common.plugin.auth.AuthenticationParams

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthenticationParams>

      public enum AuthenticationParams
      extends java.lang.Enum<AuthenticationParams>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS_TOKEN` Access Token
    `CLIENT_IP` Client Ip address
    `CODE` Authentication Code
    `LOGIN` Login of the user in the external authentication facility, e.g. an LDAP login name
    `PASSWORD` Password of the user in the external authentication facility
    `PROVIDER` Authentication Provider
    `REFRESH_TOKEN` Refresh Token
    `STATE` Authentication State
    `TOKEN` Authentication Token
    `USERNAME` Username of the user in the external authentication facility, e.g. an LDAP login name

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationParams` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticationParams[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USERNAME

          public static final AuthenticationParams USERNAME

      Username of the user in the external authentication facility, e.g. an LDAP login name

    - #### LOGIN

          public static final AuthenticationParams LOGIN

      Login of the user in the external authentication facility, e.g. an LDAP login name

    - #### PASSWORD

          public static final AuthenticationParams PASSWORD

      Password of the user in the external authentication facility

    - #### CODE

          public static final AuthenticationParams CODE

      Authentication Code

    - #### STATE

          public static final AuthenticationParams STATE

      Authentication State

    - #### PROVIDER

          public static final AuthenticationParams PROVIDER

      Authentication Provider

    - #### TOKEN

          public static final AuthenticationParams TOKEN

      Authentication Token

    - #### CLIENT_IP

          public static final AuthenticationParams CLIENT_IP

      Client Ip address

    - #### ACCESS_TOKEN

          public static final AuthenticationParams ACCESS_TOKEN

      Access Token

    - #### REFRESH_TOKEN

          public static final AuthenticationParams REFRESH_TOKEN

      Refresh Token

  - ### Method Detail

    - #### values

          public static AuthenticationParams[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationParams c : AuthenticationParams.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationParams valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null